﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    string Element = Session["ID_Element"].ToString();
    int ID_Fournisseur = int.Parse(Element.Split(';')[1]);
    byte Type = byte.Parse(Element.Split(';')[0]);
    Layout = null;
}

<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "date:Date:date:15%", "numero:Facture:string:10%", "mouvement:Mouvement:string:30%", "montant:Montant:number:20%", "solde_progressif:Solde Porgressif:number:22.3%"];

</script>

<input id="LoardUrl" value="/Historique/AjaxHistoriqueSoldeFournisseur" type="hidden" />
<input id="consulterUrl" value="/Historique/Consulter_Etat_Fournisseur/" type="hidden" />
@*<input id="telechargerUrl" value="/Base/ExportHistoriqueFournisseur/@Session["id"]" type="hidden" />*@
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div>
            <br />
            <button title="OK" type="button" id="ok" class="oufbutton"><i class="ouf-ok"></i> OK</button>
            <button title="Annuler" type="button" id="annuler" class="oufbutton"><i class="ouf-cancel"></i> Annuler</button>
        </div>
    </div>
</div>

<span style="font-weight:bold"></span>
<div class="boutons text-left">
    <table>
        <tr>
            <td>
                @HTML_OUF.DropDownList("Type", Type, TempData["Type"] as SelectList, "160")
            </td>
            <td>
                @HTML_OUF.DropDownList("ID_Fournisseur", ID_Fournisseur, TempData["ID_Fournisseur"] as SelectList, "200")
            </td>
            
            <td>@Html.Partial("Filtre")</td>         
            <td>
                @if (true)
                {
                    <button title="Consulter" id="consulter" class="btn btn-default oufbutton AvecIdentifiant"><i class="ouf-consult"></i>Consulter</button>
                }
            </td>
            <td>
                @if (true)// (cmd.Contains("Supprimer_Centre"))
                {
                    <button title="Telecharger" type="button" id="telecharger" class="btn btn-default oufbutton"><i class="ouf-pdf"></i>Exporter</button>
                }
            </td>
        </tr>
    </table>

</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
        @if (true)//(cmd.Contains("Modifier_Centre"))
        {
            <li><i class='ouf-consult'></i> Consulter</li>
        }
    </ul>
</div>
<script>
    $("#C_ID_Fournisseur, #C_Type").off("change");
    $("#C_ID_Fournisseur, #C_Type").on("change", function (event) {
        ChargerGrille();
    });

    ChargerGrille = function () {
        $("#loaderSpace,#loader").show();
        $.ajax({
            url: '/Base/SetFiltreID/' + $("#Type").val() + ";" + $("#ID_Fournisseur").val(), // le nom du fichier indiqué dans le formulaire
            type: 'POST', // la méthode indiquée dans le formulaire (get ou post)
            dataType: 'json'
        })
        .success(function (response) {
            $("#grades").jqxGrid('updatebounddata', 'cells');
            $("#grades").jqxGrid('clearselection');
            $("#loaderSpace,#loader").hide();
        })
        .error(function () {
            $("#loaderSpace,#loader").hide();
            alert('echeck');
        });
    };

        $("#telecharger").on('click', function (event) {
        window.location = "/Base/ExporterHistoriqueSoldeFournisseur/" + $("#Type").val() + ";" + $("#ID_Fournisseur").val();
    });
</script>
